<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <input type="text" name="" id="nome">
    <input type="text" name="" id="idade">
    <input type="text" name="" id="curso">
    <button onclick="mostraConsole()"></button>

    <script>
        var nome;
        var idade;
        var curso;

        function mostraConsole(){
            nome = document.getElementById("nome").value;
            idade = document.getElementById("idade").value;
            curso = document.getElementById("curso").value;

            console.log(nome, idade, curso);
        }
    </script>
</body>
</html>